require 'yaml'
servers = YAML.load_file(File.join(File.dirname(__FILE__), 'servers.yml'))
Vagrant.configure("2") do |config|
  	servers.each do |server|
        config.vm.box_check_update = false
        config.ssh.forward_agent = true
        config.vm.define server["name"] do |node|
            
            node.vm.box = server["box"]
            node.vm.provision :hosts, :sync_hosts => true
            node.vm.network "private_network", ip: server["ip"]
            
            node.vm.provider :virtualbox do |vb|
                vb.cpus = 1
                #vb.gui = true
                vb.name = server["name"]
                vb.memory = server["ram"]           
            end
            node.vm.provision "file", source: "./.env", destination: "~/.env"
            node.vm.provision "file", source: "./docker-compose.yml", destination: "~/docker-compose.yml"
            if server["name"] == "nginx"  
                node.vm.provision "file", source: "./nginx.conf", destination: "~/nginx.conf"
            end
            node.vm.provision "install-docker", type: "shell", :path => "install_docker.sh"
            node.vm.provision "shell", run: "always", inline: <<-SHELL
                 docker compose up -d $(hostname)
            SHELL
        end
    end
end

